# Uses of Interface
java.lang.classfile.constantpool.InvokeDynamicEntry

Packages that use InvokeDynamicEntry
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.
java.lang.classfile.instruction
Provides interfaces describing code instructions for the `java.lang.classfile` library.

- ## Uses of InvokeDynamicEntry in java.lang.classfile

  Methods in java.lang.classfile with parameters of type InvokeDynamicEntry
  Modifier and Type
  Method
  Description
  `default CodeBuilder`
  CodeBuilder.`invokedynamic(InvokeDynamicEntry ref)`
  Generates an instruction to invoke a dynamically-computed call site.

- ## Uses of InvokeDynamicEntry in java.lang.classfile.constantpool

  Methods in java.lang.classfile.constantpool that return InvokeDynamicEntry
  Modifier and Type
  Method
  Description
  `InvokeDynamicEntry`
  ConstantPoolBuilder.`invokeDynamicEntry(BootstrapMethodEntry bootstrapMethodEntry, NameAndTypeEntry nameAndType)`
  Returns an `InvokeDynamicEntry` referring to a `BootstrapMethodEntry` and a `NameAndTypeEntry`.
  `default InvokeDynamicEntry`
  ConstantPoolBuilder.`invokeDynamicEntry(DynamicCallSiteDesc dcsd)`
  Returns an `InvokeDynamicEntry` describing the same dynamic call site as the provided `DynamicCallSiteDesc`.

- ## Uses of InvokeDynamicEntry in java.lang.classfile.instruction

  Methods in java.lang.classfile.instruction that return InvokeDynamicEntry
  Modifier and Type
  Method
  Description
  `InvokeDynamicEntry`
  InvokeDynamicInstruction.`invokedynamic()`
  Returns an `InvokeDynamicEntry` describing the call site.
  Methods in java.lang.classfile.instruction with parameters of type InvokeDynamicEntry
  Modifier and Type
  Method
  Description
  `static InvokeDynamicInstruction`
  InvokeDynamicInstruction.`of(InvokeDynamicEntry invokedynamic)`
  Returns an invokedynamic instruction.